void ClrScrnFull(void) {
  _asm
    push ix
    push iy
    ld iy, #0x89F0
    rst 0x28
    .dw 0x4546
    pop iy
    pop ix
  _endasm;
}

void HomeUp(void) {
  _asm
    push ix
    push iy
    ld iy, #0x89F0
    rst 0x28
    .dw 0x4558
    pop iy
    pop ix
  _endasm;
}

void NewLine(void) {
  _asm
    push ix
    push iy
    ld iy, #0x89F0
    rst 0x28
    .dw 0x452E
    pop iy
    pop ix
  _endasm;
}


void PutC(unsigned char c) {
  c;
  _asm
    ld a, 4(ix)
	push af
	push hl
	push ix
	push iy
	ld iy, #0x89F0
    rst 0x28
    .dw 0x4504
	pop iy
	pop ix
	pop hl
	pop af
  _endasm ;
}

void PutS(unsigned char* s) {
  s;
  _asm
	push hl
    ld l, 4(ix)
    ld h, 5(ix)
	push af
	push iy
	push ix
	ld iy, #0x89F0
	ld de, #0x8478 ;OP1
	rst 0x28
    .dw 0x44E3 ; StrCpy
    ld hl, #0x8478 ;OP1
    rst 0x28
    .dw 0x450A ;PutS
	pop ix
	pop iy
	pop af
	pop hl
  _endasm ;
}

void DispInt(unsigned int i) {
  i;
  _asm
    push hl
    push af
    ld l, 4(ix)
    ld h, 5(ix)
	push ix
	push iy
	ld iy, #0x89F0
    rst 0x28
    .dw 0x4507
	pop iy
	pop ix
    pop af
    pop hl
  _endasm ;
}

unsigned char GetKey(void) {
  _asm
	push af
    push hl
	push ix
	push iy
	ld iy, #0x89F0
    rst 0x28
    .dw 0x4972
	pop iy
	pop ix
    pop hl
    ld l, a
	pop af
  _endasm;
}
